<div class="product-wrap">
    <div class="container" *ngIf="productList">
      <div class="row mt-2 mb-2">
        <div class="col padding0px common-header-h4">
          <h4>{{'labelSearchProductList' | translate:lang}}</h4>
        </div>
      </div>
    </div>
    <span *ngIf="productTotalLength > 0">
      <div class="row">
        <div class="col-md-3 mb-2" *ngFor="let products of productList">
          <app-product-tile [productDetail]="products" [compareCount]="compareCount" [from]="productFrom" (productAction)="getProductActionDetails($event)"></app-product-tile>
        </div>
      </div>
      <div class="showmore-wrap" *ngIf="productTotalLength > productList.length">
        <button mat-raised-button class="show-more" (click)="showMoreProducts()">{{ 'buttonShowMore' | translate:lang }}</button>
      </div>
    </span>
    <div class="nodata-found-wrap" *ngIf="!isSearchLoading && productTotalLength === 0">
      <div class="nodata-found">
        <img src="assets/images/empty_product.png" />
      </div>
      <span class="align-bottom">
        {{'labelYoursearch' | translate:lang}} <span class="searchvalue" *ngIf="data.searchText">"{{data.searchText}}"</span> {{'labelNotMatch' | translate: lang}}
      </span>
    </div>
  </div>
